\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{sdgsenior}[2015/08/23 v1.0 Senior Project Report, School of ICT, SIIT]
% Developed by Cholwich Nattee. Modified by Steven Gordon
% Created for double sided printing
% $Revision: 1239 $
% $Date: 2015-08-23 11:03:38 +0700 (Sun, 23 Aug 2015) $
% $Author: sgordon $
% $URL: https://sandilands.info/svn/Common/Styles/sdgsenior.cls $

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\DeclareOption{shorttitle}{\AtEndOfClass{%
\renewcommand{\maketitle}{%
\pagestyle{fancy}
\begin{center}
{\huge\textbf{\@projgroup\ -- \@projdoc}\\}
\vskip 2mm
{\Large\textbf{\@projname}}
\end{center}
}}}
\ProcessOptions\relax
\LoadClass[12pt,onecolumn,oneside,a4paper]{article}

\RequirePackage{fancyhdr}
\RequirePackage{fancyvrb}
\RequirePackage{lastpage}
%\RequirePackage{geometry}
\RequirePackage{comment}
\RequirePackage{svn}
\RequirePackage{hyperref}
\RequirePackage{graphicx}

% Page layout
\setlength{\hoffset}{0mm}
\setlength{\voffset}{-9mm}
\setlength{\oddsidemargin}{0mm} % 5mm for space for binding
\setlength{\evensidemargin}{0mm} % -5mm for space for binding
\setlength{\topmargin}{0mm}
\setlength{\textheight}{241mm}
\setlength{\textwidth}{159mm}
\setlength{\marginparsep}{0mm}

\pagestyle{fancy}

% Document information
\newcommand{\projname}[1]{\def\@projname{#1}}
\newcommand{\projnameabbrev}[1]{\def\@projnameabbrev{#1}}
\newcommand{\projmembers}[1]{\def\@projmembers{#1}}
\newcommand{\projadvisor}[1]{\def\@projadvisor{#1}}
\newcommand{\projgroup}[1]{\def\@projgroup{#1}}
\newcommand{\projdoc}[1]{\def\@projdoc{#1}}
\newcommand{\projdocabbrev}[1]{\def\@projdocabbrev{#1}}
\newcommand{\projdocversion}[1]{\def\@projdocversion{#1}}

\newcommand{\siit}{Sirindhorn International Institute of Technology}
\newcommand{\tu}{Thammasat University}

%\renewcommand{\sectionmark}[1]{}

% Page Headers 
\pagestyle{fancy}
\fancyhead{}
\fancyfoot{}
\fancyhead[LO,LE]{\itshape\footnotesize{\@projgroup}}
\fancyhead[RO,RE]{\itshape\footnotesize{\@projdocabbrev}}
\fancyfoot[LO,LE]{\itshape\footnotesize{\@projnameabbrev}}
\fancyfoot[RO,RE]{\itshape\footnotesize{\thepage}}
\renewcommand{\headrulewidth}{0.4pt}
\renewcommand{\footrulewidth}{0.4pt}

% Title page
\renewcommand{\maketitle}{%
\thispagestyle{empty}
\begin{center}
\vspace*{5mm}
{\huge\bfseries \@projgroup}
\vskip 8mm
{\huge\bfseries \@projname}
\vskip 20mm
{\Huge\bfseries \@projdoc\\}
\vskip 5mm
{\Large\bfseries \@projdocversion\\}
\vskip 25mm
{\Large\bfseries Group Members: }
\vskip 5mm
{\Large\bfseries \@projmembers\\}
\vskip 10mm
{\Large\bfseries Advisor: \@projadvisor\\}
\vskip 35mm
{\large\bfseries School of ICT\\ \siit\\ \tu\\}
\vskip 5mm
{\large\bfseries Academic Year 2015\\}
\end{center}
\newpage
\pagestyle{empty}
\clearpage
\pagestyle{fancy}
\pagenumbering{arabic}
}
